=== debian/changelog ===
ayatana-indicator-bluetooth (0.8.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix flawed license headers in src/*.vala (being a mix of GPL-3
      and LGPL license text fragments).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 15:03:28 +0100

ayatana-indicator-bluetooth (0.8.0-1) REJECTED; urgency=medium

  * Initial upload to Debian. (Closes: #973046).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 27 Oct 2020 17:03:08 +0100
