=== debian/control ===
Source: ayatana-indicator-bluetooth
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               cmake-extras (>= 0.10),
               intltool,
               libglib2.0-dev (>= 2.32.0),
               systemd [linux-any],
               valac (>= 0.20),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-bluetooth
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth/

Package: ayatana-indicator-bluetooth
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         bluez (>= 5),
         unity-control-center | mate-control-center | gnome-control-center | ubuntu-system-settings,
         gnome-bluetooth | ubuntu-system-settings | blueman-manager,
         ayatana-indicator-common,
Replaces: gnome-bluetooth (<< 3.6.1-0ubuntu2),
          indicator-bluetooth,
Breaks: gnome-bluetooth (<< 3.6.1-0ubuntu2),
        indicator-bluetooth,
Description: Ayatana Indicator for managing Bluetooth devices
 This Ayatana Indicator exposes bluetooth functionality via the system
 indicator API and provides fast user controls for Bluetooth devices.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).
