## ayatana-indicator-bluetooth 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.8.1)
+set(PROJECT_VERSION 0.8.2)
 find_package(PkgConfig REQUIRED)
 include(GNUInstallDirs)
 include(UseVala)
@@ -27,7 +27,7 @@
 
 include_directories(${BLUETOOTHSERVICE_INCLUDE_DIRS})
 
-set(URL_DISPATCHER_REQUIRED_VERSION 0.1)
+set(URL_DISPATCHER_REQUIRED_VERSION 0)
 
 pkg_check_modules(
   URLDISPATCHER
