=== debian/changelog ===
ayatana-indicator-bluetooth (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/watch:
    + Update format version to 4.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Feb 2021 14:26:24 +0100
