=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libglib2.0-dev (>= 2.32.0),
                systemd [linux-any],
                valac (>= 0.20),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-bluetooth
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth.git
@@ -24,7 +24,7 @@
          ${shlibs:Depends},
          bluez (>= 5),
          unity-control-center | mate-control-center | gnome-control-center | ubuntu-system-settings,
-         gnome-bluetooth | ubuntu-system-settings | blueman-manager,
+         blueman | blueman-manager | ubuntu-system-settings | gnome-bluetooth,
          ayatana-indicator-common,
 Replaces: gnome-bluetooth (<< 3.6.1-0ubuntu2),
           indicator-bluetooth,
