=== data/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 set(
   INDICATOR_DIR
-  "${CMAKE_INSTALL_DATADIR}/ayatana/indicators"
+  "${CMAKE_INSTALL_FULL_DATADIR}/ayatana/indicators"
   CACHE FILEPATH "Ayatana Indicators Directory"
 )
 
@@ -32,7 +32,6 @@
   set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")
 
   # build it
-  set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
   configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")
 
   # install it
@@ -69,8 +68,9 @@
 set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
 
 # generate the .xml file using intltool
+find_package(Intltool REQUIRED)
 set (ENV{LC_ALL} "C")
-execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")
+intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
 
 # let UseGSettings do the rest
 add_schema (${SCHEMA_NAME})
