=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,6 @@
 set(HEADER_PATH "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-bluetooth-service.h")
 set(SYMBOLS_PATH "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-bluetooth-service.def")
 set(VAPI_PATH "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-bluetooth-service.vapi")
-
-if(URLDISPATCHER_FOUND)
-    set (VALA_DEFINE_URLDISPATCHER "--define=HAS_URLDISPATCHER")
-    set (VALA_PKG_URLDISPATCHER "lomiri-url-dispatcher")
-endif()
 
 vala_init(ayatana-indicator-bluetooth-service
   DEPENDS
@@ -19,13 +14,12 @@
     posix
     gio-2.0
     gio-unix-2.0
-    ${VALA_PKG_URLDISPATCHER}
+    AyatanaCommon
   OPTIONS
     --ccode
     --target-glib=${GLIB_2_0_REQUIRED_VERSION}
     --vapidir=${CMAKE_SOURCE_DIR}/vapi/
     --vapidir=.
-    ${VALA_DEFINE_URLDISPATCHER}
 )
 
 vala_add(ayatana-indicator-bluetooth-service
@@ -136,7 +130,6 @@
 target_link_libraries(
   ayatana-indicator-bluetooth-service-lib
   ${BLUETOOTHSERVICE_LIBRARIES}
-  ${URLDISPATCHER_LIBRARIES}
   -lm
 )
 
@@ -168,7 +161,7 @@
 
 install(
   TARGETS ayatana-indicator-bluetooth-service-bin
-  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/ayatana-indicator-bluetooth/
+  RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR}/ayatana-indicator-bluetooth/
 )
 
 # coverage reporting
