=== debian/changelog ===
ayatana-indicator-bluetooth (22.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 16:30:53 +0100

ayatana-indicator-bluetooth (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/changelog:
    + Post-upload fix two missing items in last changelog stanza.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.
  * debian/rules:
    + Use upstream's NEWS as upstream ChangeLog.
    + Adjust for upstream release 0.9.0.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
  * debian/control:
    + Add B-D: libayatana-common.
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Nov 2021 23:22:09 +0100
