=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                cmake,
                cmake-extras (>= 0.10),
                intltool,
+               libayatana-common-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.32.0),
                systemd [linux-any],
                valac (>= 0.20),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-bluetooth
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth.git
