=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-bluetooth/ayatana-indicator-bluetooth-(.+)\.tar\.gz
