=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libglib2.0-dev (>= 2.32.0),
                systemd [linux-any],
                valac (>= 0.20),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-bluetooth
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth.git
