## ayatana-indicator-bluetooth 22.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 22.9.0)
+set(PROJECT_VERSION 22.9.1)
 
 # Options
