=== debian/changelog ===
ayatana-indicator-bluetooth (22.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Feb 2023 09:15:06 +0100

ayatana-indicator-bluetooth (22.9.0-2) unstable; urgency=medium

  * debian/control:
    + Rework D: for Lomiri.
    + Bump Standards-Version: to 4.6.2. No changes needed

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 10:38:34 +0100
