=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libglib2.0-dev (>= 2.32.0),
                systemd [linux-any],
                valac (>= 0.20),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-bluetooth
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth.git
@@ -24,8 +24,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          bluez (>= 5),
-         unity-control-center | mate-control-center | gnome-control-center | ubuntu-system-settings,
-         blueman | blueman-manager | ubuntu-system-settings | gnome-bluetooth,
+         unity-control-center | mate-control-center | gnome-control-center | lomiri-system-settings,
+         blueman | blueman-manager | lomiri-system-settings | gnome-bluetooth,
          ayatana-indicator-common,
 Replaces: gnome-bluetooth (<< 3.6.1-0ubuntu2),
           indicator-bluetooth,
