=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ayatana-indicator-bluetooth
 Section: misc
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
