## ayatana-indicator-bluetooth 24.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.13)
-project (ayatana-indicator-bluetooth VERSION 23.10.0 LANGUAGES C CXX)
+project (ayatana-indicator-bluetooth VERSION 24.5.0 LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
