=== data/CMakeLists.txt ===
--- 
+++ 
@@ -63,14 +63,4 @@
 # GSettings
 ###########################
 
-set (SCHEMA_NAME "org.ayatana.indicator.bluetooth.gschema.xml")
-set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
-set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
-
-# generate the .xml file using intltool
-find_package(Intltool REQUIRED)
-set (ENV{LC_ALL} "C")
-intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
-
-# let UseGSettings do the rest
-add_schema (${SCHEMA_NAME})
+add_schema ("org.ayatana.indicator.bluetooth.gschema.xml")
