=== debian/changelog ===
ayatana-indicator-bluetooth (24.5.0-3) unstable; urgency=medium

  * debian/patches:
    + Add 0001_Add-desktop-greeter-profile.patch. Show BT indicator also in
      Lomiri Greeter.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Jun 2025 15:39:42 +0200

ayatana-indicator-bluetooth (24.5.0-2) unstable; urgency=medium

  * debian/control:
    + Move to S: <desktop>-(control-center|system-settings) and bluetooth
      manager packages. On Lomiri (and probably) other environments, this
      pulls in too many dependencies that should be pulled in via the desktop
      environment itself, instead.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 10:33:24 +0100

ayatana-indicator-bluetooth (24.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 08:56:43 +0200

ayatana-indicator-bluetooth (23.10.0-2) unstable; urgency=medium

  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060551).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:46:17 +0200
