=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ayatana-indicator-bluetooth
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
@@ -12,9 +11,9 @@
                intltool,
                libayatana-common-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.32.0),
-               systemd [linux-any],
+               systemd-dev [linux-any],
                valac (>= 0.20),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-bluetooth
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth.git
@@ -25,9 +24,9 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          bluez (>= 5),
-         unity-control-center | mate-control-center | gnome-control-center | lomiri-system-settings,
-         blueman | blueman-manager | lomiri-system-settings | gnome-bluetooth,
          ayatana-indicator-common,
+Suggests: unity-control-center | mate-control-center | gnome-control-center | lomiri-system-settings,
+          blueman | blueman-manager | lomiri-system-settings | gnome-bluetooth,
 Replaces: gnome-bluetooth (<< 3.6.1-0ubuntu2),
           indicator-bluetooth,
 Breaks: gnome-bluetooth (<< 3.6.1-0ubuntu2),
